## org.apache.hadoop.mapred
Class SequenceFileAsBinaryInputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat<K,V>
          org.apache.hadoop.mapred.SequenceFileInputFormat<BytesWritable,BytesWritable>
              org.apache.hadoop.mapred.SequenceFileAsBinaryInputFormat

All Implemented Interfaces:
  InputFormat<BytesWritable,BytesWritable>

    public class SequenceFileAsBinaryInputFormat

extends SequenceFileInputFormat<BytesWritable,BytesWritable>

InputFormat reading keys, values from SequenceFiles in binary (raw) format.

Nested Class Summary
`static class` `SequenceFileAsBinaryInputFormat.SequenceFileAsBinaryRecordReader` Read records from a SequenceFile as binary (raw) bytes.

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat
`FileInputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`SequenceFileAsBinaryInputFormat()`

Method Summary
`RecordReader<BytesWritable,BytesWritable>` `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.

Methods inherited from class org.apache.hadoop.mapred.SequenceFileInputFormat
`listStatus`

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, isSplitable, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileAsBinaryInputFormat

    public SequenceFileAsBinaryInputFormat()

Method Detail

### getRecordReader

    public RecordReader<BytesWritable,BytesWritable> getRecordReader(InputSplit split,
                                                                     JobConf job,
                                                                     Reporter reporter)
                                                              throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<BytesWritable,BytesWritable>`
  Overrides:
    `getRecordReader` in class `SequenceFileInputFormat<BytesWritable,BytesWritable>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation